@include('includes.admin.header')
@include('includes.admin.sidebar')
<script>
    $(document).ready(function(){
        $('#position-menu').addClass('active');
    });
</script>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Default Goal Keeper
            </h1>
            <ol class="breadcrumb">
                <li><a href="/admin"><i class="fa fa-dashboard"></i> Home</a></li>
                <li class="active">Default Goal Keeper</li>
            </ol>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-header with-border">
                            <h3 class="box-title">Default Goal Keeper</h3>
                        </div><!-- /.box-header -->
                        {!! Form::open(['class' => 'form-horizontal', 'method' => 'post', 'files' => true]) !!}
                            @if ($errors->any())
                            <div class='error'>
                                {{ implode('', $errors->all(':message')) }}
                            </div>
                            @endif
                            <div class="box-body">
                                
                                <div class="form-group">
                                    <input type="hidden" name="_token" value="{{ csrf_token() }}" />
                                    <label for="inputname3" class="col-sm-2 control-label">Default Goal Keeper</label>
                                    <div class="col-sm-9">
                                        @if ($goalKeeper != null)
                                        <img src="/uploads/goalKeeper/{{$goalKeeper}}" style="width:200px" />
                                        @endif
                                        <input type="file" class="form-control" name='default_goal_keeper' id="default_goal_keeper" />
                                    </div>
                                </div>

                            </div><!-- /.box-body -->
                            <div class="box-footer">
                                <button type="reset" class="btn btn-default">Cancel</button>
                                <button type="submit" class="btn btn-info pull-right" id='btn-submit'>Submit</button>
                            </div><!-- /.box-footer -->
                        {!! Form::close() !!}
                    </div><!-- /.box -->


                </div><!-- /.col -->

            </div><!-- /.row -->
          
        </section><!-- /.content -->
    </div><!-- /.content-wrapper -->
      
@include('includes.admin.footer')