<?php echo $__env->make('includes.admin.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php echo $__env->make('includes.admin.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php
if(!isset($_GET['page']))
{
  $page = 0;
}
else
{
  $page = $_GET['page'];
}

?>
<script src="https://cdn.datatables.net/plug-ins/1.10.16/sorting/date-dd-MMM-yyyy.js"></script>
<script>
    $(document).ready(function(){
        $('#user-menu').addClass('active');
    });
</script>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           User List
            <small>From users</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Users</a></li>
            <li class="active">All users</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">All Users</h3>
                </div><!-- /.box-header -->
                
                <div class="box-body table-responsive">
                  <table class="table table-bordered table-striped table-datatable">
                      <thead>
                    <tr>
                      <th>User Count</th>
                      
                      <th>Name</th>
                      <th>Email</th>
                      <th>
                        First Payment On
                      </th>
                      <th>
                        First Payment Expiry
                      </th>
                       <th>
                          Username
                      </th>
                      <th>Phone</th>
                      
                      <th>
                          Address
                      </th>
                      <th>
                          DOB
                      </th>
                      <th>
                          City
                      </th>
                      
                      <th>
                          Country
                      </th>
                      <th>
                          Notification
                      </th>
                      <th>
                          Account Confirmed?
                      </th>
                      <th>
                          Active Votes
                      </th>
                      
                     
                      
                      
                      
                      <th>
                          Created On
                      </th>
                      <th>Actions</th>
                    </tr>
                      </thead>
                      <tbody>
                          <?php
                          $count = 1;
                          ?>
                    <?php if($users->count() > 0): ?>
                            <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e(($page * 200) + $count++); ?></td>
                                
                                <td><?php echo e($user['name']); ?></td>
                                <td><?php echo e($user['email']); ?></td>
                                <td><?php echo e(date("d M Y H:i:s", strtotime($user['payment_created_at']))); ?></td>
                                <td><?php echo e(date("d M Y", strtotime($user['expiry_date']))); ?></td>
                                <td><?php echo e($user['username']); ?></td>
                                <td><?php echo e($user['phone']); ?></td>
                                <td><?php echo e($user['address']); ?></td>
                                <td><?php echo e(date("d M Y", strtotime($user['dob']))); ?></td>
                                <td><?php echo e($user['city']); ?></td>
                                <td><?php echo e($user['country']); ?></td>
                                <td>
                                    <?php if($user['notification'] == 1): ?>
                                        Yes
                                    <?php else: ?>
                                        No
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($user['confirmation_code'] == 1): ?>
                                        Yes
                                        <?php else: ?>
                                        No
                                    <?php endif; ?>
                                </td>
                                <td class="users-td" data-id="<?php echo e($user['UUID']); ?>">Loading....</td>
                                <td><?php echo e(date("d M Y H:i:s", strtotime($user['created_at']))); ?></td>
                                <td>
                                    <a href="/admin/user/payments/<?php echo e($user['UUID']); ?>" class="btn btn-xs btn-primary"><i class="glyphicon glyphicon-euro"></i></a>&nbsp;&nbsp; 
                                     <a href="/admin/user/edit/<?php echo e($user['UUID']); ?>" class="btn btn-xs btn-success"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;&nbsp; 
                                     <button class=" btn btn-xs btn-danger btn-remove" data-name="<?php echo e($user['name']); ?>" data-id="<?php echo e($user['UUID']); ?>"><i class="glyphicon glyphicon-remove"></i></button>&nbsp;&nbsp; 
               <!--                      <a href="#" class="btn btn-success">Active</a>-->
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                      </tbody>
                      <tfoot>
                          <tr>
                              <td colspan="16">
                                  <?php echo e($users->links()); ?>

                                   <div class="pull-right" id="page_no">
                                         Page : 
                                                <?php if(isset($_GET['page']))
                                                {
                                                  echo   $_GET['page'];
                                                }
                                                else
                                                {
                                                    echo 1;
                                                }
                                                ?>
                                            </div>
                              </td>
                          </tr>
                      </tfoot>
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
      
      <script>
          $(".table-datatable").DataTable(
                    {
                        dom: 'Bfrtip',
                        buttons: [

                            'excelHtml5',
                            'csvHtml5',
                            'pdfHtml5',
                           'print'
                        ],
                        "bPaginate": false,
                        paging: false,
                        searching: false,
                       
                    });
            $(document).on('click', '.btn-remove', function(){
                 
                var id = $(this).attr('data-id');
                var name = $(this).attr('data-name');
                var conf = confirm("Are you sure you want to delete " + name);
                var parent = $(this).parents('tr').first();
                var current = $(this);
                if(conf)
                {
                    $.ajax({
                        url: '/admin/user/delete/' + id,
                        type: 'DELETE',
                        data:{"_token": "<?php echo e(csrf_token()); ?>"},
                        success: function(result) {
                            alert('User deleted Successfully');
                            $(parent).remove();
                        },
                        error: function(xhr, textStatus, errorThrown){
                            alert('Something went wrong. Please check whether you had associated this user to something');
                         }
                    },'json')
                    
                }
              
            });
            
            
            $(document).ready(function(){
                $('.users-td').each(function(i, value){
                    console.log(value);
                    var id = $(value).attr('data-id');
                    $.get('/admin/user/' + id + '/vote', function(res){
                        $(value).text(res);
                    });
                });
            })
          </script>
<?php echo $__env->make('includes.admin.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>