<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddColumns3ToScheduleTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('schedule', function (Blueprint $table) {
            $table->uuid('formation_id')->nullable();
            
            $table->integer('column_count_1')->default(0);
            $table->uuid('new_player_1')->nullable();
            $table->date('date_1')->nullable();
            $table->time('time_1')->nullable();
            
            $table->integer('column_count_2')->default(0);
            $table->uuid('new_player_2')->nullable();
            $table->date('date_2')->nullable();
            $table->time('time_2')->nullable();
            
            $table->integer('column_count_3')->default(0);
            $table->uuid('new_player_3')->nullable();
            $table->date('date_3')->nullable();
            $table->time('time_3')->nullable();
            
            $table->integer('column_count_4')->default(0);
            $table->uuid('new_player_4')->nullable();
            $table->date('date_4')->nullable();
            $table->time('time_4')->nullable();
            
            $table->integer('column_count_5')->default(0);
            $table->uuid('new_player_5')->nullable();
            $table->date('date_5')->nullable();
            $table->time('time_5')->nullable();
            
            $table->integer('column_count_6')->default(0);
            $table->uuid('new_player_6')->nullable();
            $table->date('date_6')->nullable();
            $table->time('time_6')->nullable();
            
            $table->integer('column_count_7')->default(0);
            $table->uuid('new_player_7')->nullable();
            $table->date('date_7')->nullable();
            $table->time('time_7')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('schedule', function (Blueprint $table) {
            //
        });
    }
}
