@include('includes.admin.header')
@include('includes.admin.sidebar')  
<style>
    iframe
    {
        height : auto;
        max-width : 200px;
    }
</style>
<!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
         Proposal List
            <small>From Proposal</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Proposal</a></li>
            
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Proposal</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                    <table class="table table-bordered table-striped table-datatable">
                        <thead>
                            <tr>
                              <th>#</th>
                              <th>Proposal</th>
                              <th>
                                Contact Player Information
                            </th>
                              <th>Video</th>
                              <th>User Name</th>
                              <th>
                                  Created On
                              </th>
                              <th>
                                  Total Likes
                              </th>
                              <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $count = 1;
                           
                            ?>
                          
                            @foreach($decisions AS $decision)
                            
                            <tr>
                                <td><?php echo $count++ ?></td>
                                <td><?php echo str_replace('<script>', '', nl2br($decision['proposal']));  ?></td>
                                <td><?php echo str_replace('<script>', '', nl2br(($decision['contact_player_information']))) ?></td>
                                <td>{{$decision['video']}}</td>
                                
                                <td>{{$decision['user']['name']}}</td>
                                <td>{{date("d M Y H:i:s", strtotime($decision['created_at']))}}</td>
                                <td class="likes-row" data-uuid="{{$decision['UUID']}}">
                                 {{$decision['no_of_likes']}}
                                </td>
                               <td>
                                  
                                   @if ($decision['confirm'] == 1)
                                        Confirmed
                                    @elseif($decision['reject'] == 1)
                                        Denied
                                    @else
                                        <button type="button" class="col-xs-12 btn btn-success btn-confirm" data-id="{{$decision['UUID']}}">Confirm</button>
                                        <button type="button" class="col-xs-12 btn btn-danger top-margin btn-deny" data-id="{{$decision['UUID']}}">Deny</button>
                                    @endif    
                                        <a class=" btn btn-xs btn-success" href="/admin/proposal/edit/{{$decision['UUID']}}"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;&nbsp;
                                        <a class=" btn btn-xs btn-danger btn-remove" data-id="{{$decision['UUID']}}" href="#"><i class="glyphicon glyphicon-remove"></i></a>
<!--                                   <a class=" btn btn-xs btn-danger" href="#"><i class="glyphicon glyphicon-remove"></i></a>&nbsp;&nbsp-->
<!--                                   <a href="#" class="btn btn-sm bg-olive">Approve</a>-->
                               </td>
                            </tr>
                            
                            @endforeach
                           
                        </tbody>
                        <tfoot>
                            <tr>
                                <td colspan="8">
                                    {{ $decisions->links() }}
                                     <div class="pull-right" id="page_no">
                                         Page : 
                                                <?php if(isset($_GET['page']))
                                                {
                                                  echo   $_GET['page'];
                                                }
                                                else
                                                {
                                                    echo 1;
                                                }
                                                ?>
                                            </div>
                                </td>
                            </tr>
                        </tfoot>
				
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
    <script>
//        $(".table-datatable").DataTable(
//                    {
//                        dom: 'Bfrtip',
//                        buttons: [
//
//                            'excelHtml5',
//                            'csvHtml5',
//                            'pdfHtml5',
//                           'print'
//                        ],
//                        "bPaginate": false,
//                        paging: false,
//                        searching: false,
//                       
//                    });
        $(document).ready(function(){
           // getAllProposalLikes();
            $('.btn-confirm').click(function(){
                var parent = $(this).parents('td').first();
                $(parent).find('.btn-confirm').hide();
                $(parent).find('.btn-deny').hide();
                var id = $(this).attr('data-id');
                $.post('/admin/proposal/confirm',{id:id,_token:'{{ csrf_token() }}'}, function(res){
                    alert('Proposal Confirmed');
                    parent.html('Confirmed');
                },'json')
                .fail(function(xhr) {
                    var html = '';
                    var res = xhr.responseJSON;
                    $(res).each(function(i, value){
                            html+= value;
                    });
                    alert(html);
                    $(parent).find('.btn-confirm').show();
                    $(parent).find('.btn-deny').show();
                },'json');;
            });
            
            $('.btn-deny').click(function(){
                var parent = $(this).parents('td').first();
                $(parent).find('.btn-confirm').hide();
                $(parent).find('.btn-deny').hide();
                var id = $(this).attr('data-id');
                $.post('/admin/proposal/deny',{id:id,_token:'{{ csrf_token() }}'}, function(res){
                    alert('Proposal Denied');
                    parent.html('Denied');
                },'json')
                .fail(function(xhr) {
                    var html = '';
                    var res = xhr.responseJSON;
                    $(res).each(function(i, value){
                            html+= value;
                    });
                    alert(html);
                    $(parent).find('.btn-confirm').show();
                    $(parent).find('.btn-deny').show();
                },'json');;
            });
            
            
            
        });
        
        
        
        $(document).on('click', '.btn-remove', function(){
                var id = $(this).attr('data-id');
                var name = $(this).attr('data-name');
                var conf = confirm("Are you sure you want to delete this proposal ");
                var parent = $(this).parents('tr').first();
                var current = $(this);
                if(conf)
                {
                    $.ajax({
                        url: '/admin/proposal/delete/' + id,
                        type: 'DELETE',
                        data:{"_token": "{{ csrf_token() }}"},
                        success: function(result) {
                            alert('Proposal deleted Successfully');
                            $(parent).remove();
                        },
                        error: function(xhr, textStatus, errorThrown){
                            alert('Something went wrong.');
                         }
                    },'json')
                    
                }
              
            });
            
            
            function getAllProposalLikes()
            {
                //$('#proposal-table tbody').html('');
                //$('#loading').show();
                
                $('.likes-row').each(function(i, value){
                    var current = $(this);
                    var UUID = $(current).attr('data-uuid')
                    $.get('/admin/proposal/' + UUID + '/like', function(res){
                        
                        var html = '';
                     //   $(res.proposals).each(function(i,value){
                          var likeCount =  res.votes - res.max_likes;

    //                        if($(value.likes) != null)
    //                        {
    //                            $(value.likes).each(function(i1, value1){
    //                                likeCount = likeCount - value1.no_of_likes;
    //                            })
    //                        }
                          //  likeCount = res.totalMaxAllowedVotes - value.max_likes;
                            var totalMaxAllowedVotes = res.totalMaxAllowedVotes - value.max_likes;
                            if(totalMaxAllowedVotes < likeCount)
                            {
                                likeCount = totalMaxAllowedVotes;
                                console.log(likeCount);
                            }
                            if(likeCount < 0)
                            {
                                likeCount = 0;
                            }
                            
                            $(current).text(likeCount);
//                            var adminResponse = '';
//                            if(value.admin_response != '' && value.admin_response != null)
//                            {
//                                adminResponse = '<span style="color:brown">Raspuns conducere : ' + value.admin_response.replace(/\n/g, "<br />") + '</span>';
//                            }

//                            var someDate = new Date(value.expiry_date);
//    //                        var numberOfDaysToAdd = 14;
//    //                        someDate.setDate(someDate.getDate() + numberOfDaysToAdd); 
//                            var dd = someDate.getDate();
//                            var mm = someDate.getMonth() + 1;
//                            var y = someDate.getFullYear();
//
//                            var someFormattedDate = dd + '/'+ mm + '/'+ y;
//                            if(value.confirm == 1)
//                            {
//                                html = '<span><strong>Sustained decision</strong> </span>';
//                            }
//                            else
//                            {
//
//
//                                 html = '<span class="editable-text-border pull-left no_of_likes" contenteditable="true" data-like="' + likeCount + '">' + likeCount + '</span>  &nbsp;&nbsp;<a class="like-icon pull-left" data-id="' + value.UUID + '" style="padding-left:5px"><i class="glyphicon glyphicon-thumbs-up"></i> Sustine</a>&nbsp;&nbsp;&nbsp;&nbsp;'
//
//                            }

                           
//    html+='<div class="pull-left" style="padding-left:15px">' + value.no_of_likes + ' Sustinatori</div><span style="color:red" class="count_down_poll pull-right" data-date="' + value.expiry_date + '"></span>';
                           // $('#proposal-table tbody').append('<tr><td>' + value.proposal.replace(/\n/g, "<br />") + '<br/><br/>' + adminResponse + '</td><td >' + value.video + '</td></tr><tr><td colspan="2" style="vertical-align:middle">' + html + '</td></tr><tr><td colspan="2" class="hcenter" style="background-color:darkcyan"></td></tr>');
                        });
                      //  makeAllCountDownTimers();
                  //  });
                });
            }
    </script>
@include('includes.admin.footer')