@include('includes.admin.header')
@include('includes.admin.sidebar')

<script>
    $(document).ready(function(){
        $('#reports-menu').addClass('active');
    });
</script>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Player Evaluation - Schedule List
            <small>From Schedules</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Player Evaluation - Schedule</a></li>
            <li class="active">Player Evaluation - All Schedule</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">All Schedule</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                  <table class="table table-bordered table-striped">
                      <thead>
                        <tr>
                          <th>#</th>
                          <th>
                              Name
                          </th>
                          <th>Date & Time</th>
                          <th>Ground</th>
                          <th>Opposite Team</th>
                          <th>Result</th>
                          <th>Actions</th>
                        </tr>
                      </thead>
                      <tbody>
                            @if($schedules->count() > 0)
                            @foreach($schedules AS $schedule)
                            <tr>
                                <td>
                                  
                                </td>
                                <td>
                                    {{$schedule['name']}}
                                </td>
                                <td>
                                    {{date("d M Y", strtotime($schedule['date_date']))}}
                                    {{date("H:i:s", strtotime($schedule['time_time']))}}
                                </td>
                                <td>
                                    {{$schedule['ground']}}
                                </td>
                                <td>
                                    {{$schedule['opposite_team_det']['name']}}
                                </td>
                                <td>
                                    {{$schedule['result']}}
                                </td>
                                <td>
                                   
                                    <a href="/admin/reports/player/evaluation/schedule/{{$schedule['UUID']}}" class=" btn btn-xs btn-success" data-name="{{$schedule['name']}}" data-id="{{$schedule['UUID']}}"><i class="glyphicon glyphicon-eye-open"></i></a>
  <!--                                    <a href="#" class="btn btn-sm bg-orange">vote of players</a>-->
                                </td>
                            </tr>
                            @endforeach
                            @endif
                      </tbody>
                    
		
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
@include('includes.admin.footer')