@include('includes.main.header') 
	<!--Work-Starts-Here-->
	 <!-- content-section-starts -->
    <div class="gallery-content">
        <div class="container white-bg" style="">
        	<div class="gallery-content-head text-left">
                    <h3>ARCHIVE - DECISION PROPOSAL</h3>

                </div>
                <div class="col-xs-12 table-responsive">
                	
                    <table class="table table-bordered table-striped table-datatable top-margin table-condensed">
                        <thead>
                            <tr>
                              <th>#</th>
                              <th>Decision Proposal</th>
                              <th>Admin Response</th>
                              <th>Created By</th>
                              <th>
                                  Created On
                              </th>
                              <th>
                                  Expiry
                              </th>
                              
                              <th>
                                  Support Count
                              </th>
                              <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $count = 1; ?>
                            @if($decisions->count() > 0)
                            @foreach($decisions AS $decision)
                            <tr>
                                <td>{{$count++}}</td>
                                <td><?php echo htmlspecialchars(nl2br($decision['decision'])) ?></td>
                                <td><?php echo htmlspecialchars(nl2br(($decision['admin_response']))) ?></td>
                                <td>{{$decision['user']['name']}}</td>
                                <td>
                                    {{date("d M Y H:i:s", strtotime($decision['created_at']))}}
                                </td>
                                <td>
                                    {{date("d M Y H:i:s", strtotime($decision['expiry_date']))}}
                                </td>
                                <td>
                                    <?php
                                    $total = 0;
                                    foreach($decision['likes'] AS $like)
                                    {
                                        $total+= $like['no_of_likes'];
                                    }
                                    ?>
                                    {{$total}}
                                </td>
                               <td>
                                   
                                   @if ($decision['confirm'] == 1)
                                        Confirmed
                                    @elseif($decision['reject'] == 1)
                                        Denied
                                    
                                    @endif    
                                
                               </td>
                            </tr>
                            @endforeach
                            @endif
                        </tbody>
                        <tfoot>
                          <tr>
                              <td colspan="8">
                                  {{ $decisions->links() }}
                                   <div class="pull-right" id="page_no">
                                         Page : 
                                                <?php if(isset($_GET['page']))
                                                {
                                                  echo   $_GET['page'];
                                                }
                                                else
                                                {
                                                    echo 1;
                                                }
                                                ?>
                                            </div>
                              </td>
                          </tr>
                      </tfoot>
                
                  </table>
                </div>
        </div>
    </div>

@include('includes.main.footer')