<?php echo $__env->make('includes.admin.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php echo $__env->make('includes.admin.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<script>
    $(document).ready(function(){
        $('#schedule-menu').addClass('active');
    });
</script>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Schedule Create
            <small>From Schedules</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Schedules</a></li>
            <li class="active">Create Schedule</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Add New Schedule</h3>
                </div><!-- /.box-header -->
               <form class="form-horizontal" id="register-form">
                   <div class="error" style="display: none">
                            
                        </div>
                  <div class="box-body">
                      <div class="form-group">
                        <label for="inputname3" class="col-sm-2 control-label">Name of the Match</label>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" id="name" name="name" placeholder="Name of the Match">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputname3" class="col-sm-2 control-label">Date</label>
                        <div class="col-sm-9">
                            <input type="date" class="form-control" id="inputname3" name="date_date" placeholder="date">
                        </div>
                    </div>
                    <div class="form-group">
                      <label for="state" class="col-sm-2 control-label">Time</label>
                      <div class="col-sm-9">
                        <input type="time" class="form-control" id="state" name="time_time" placeholder="time">
                      </div>
                    </div>
                    <div class="form-group">
                      <label for="Ground" class="col-sm-2 control-label">Home/Away</label>
                      <div class="col-sm-9">
                        <select class="form-control" id="home_away" name="home_away">
                            <option value="">---select option---</option>
                            <option value="Home">Home</option>
                            <option value="Away">Away</option>
                            <option value="Neutral">Neutral</option>
                        </select>
                      </div>
                    </div>
                    <div class="form-group">
                      <label for="Ground" class="col-sm-2 control-label">Venue</label>
                      <div class="col-sm-9">
                        <input type="text" class="form-control" id="Ground" name="ground" placeholder="Ground">
                      </div>
                    </div>
                    <div class="form-group">
                        <label for="Team" class="col-sm-2 control-label">Opposite Team</label>
                        <div class="col-sm-9">
                            <select class="form-control" id="Team" name="opposite_team">
                                <option value=''>---Please select Opposite Team---</option>
                              <?php
                              foreach($teams AS $key => $value)
                              {
                                  ?>
                                <option value="<?php echo $key ?>"><?php echo htmlspecialchars($value) ?></option>
                              <?php
                              }
                              ?>
                              
                            </select>
                        </div>
                    </div>
                      <div class="form-group">
                      <label for="Ground" class="col-sm-2 control-label">Goals Home Team Scored</label>
                      <div class="col-sm-9">
                        <input type="number" class="form-control" id="home_goals" name="home_goals" placeholder="Home Goals">
                      </div>
                    </div>
                      <div class="form-group">
                      <label for="Ground" class="col-sm-2 control-label">Goals Opposition Scored</label>
                      <div class="col-sm-9">
                        <input type="number" class="form-control" id="opposition_goals" name="opposition_goals" placeholder="Opposition Goals">
                      </div>
                    </div>
                    <div class="form-group">
                      <label for="result" class="col-sm-2 control-label">Result</label>
                      <div class="col-sm-9">
                          <textarea  class="form-control" id="result" name="result" placeholder="Result"></textarea>
                      </div>
                    </div>
                    <div class="form-group">
                      <label for="result" class="col-sm-2 control-label">Youtube Link to URL</label>
                      <div class="col-sm-9">
                          <input type="text" class="form-control" id="youtube" name="youtube" placeholder="Youtube Link to URL" />
                      </div>
                    </div>

                    <div class="form-group">
                      <label for="result" class="col-sm-2 control-label">Youtube Link to Highlights</label>
                      <div class="col-sm-9">
                          <input type="text" class="form-control" id="youtube" name="highlights" placeholder="Youtube Link to Highlights" />
                      </div>
                    </div>
<!--                    <div class="form-group">
                     
                      <div class="col-sm-9">
                          <a  class="btn bg-blue" >Add Players +</a>
                      </div>
                    </div>-->
                  </div><!-- /.box-body -->
                  <div class="box-footer">
                    <button type="reset" class="btn btn-default">Cancel</button>
                    <button type="button" class="btn btn-info pull-right" id="btn-submit">Submit</button>
                  </div><!-- /.box-footer -->
                </form>
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
      <script>
          var currentTeam = '<?php echo e($currentTeam); ?>';
            $(document).ready(function(){
                
                $('#btn-submit').click(function(){
                    var current  = $(this);
                    current.attr('disabled', 'disabled').text('Please Wait. Saving.....');
                    var data = $("#register-form").serializeArray();
                    $.post('/admin/schedule/save',{data:data, "_token": "<?php echo e(csrf_token()); ?>"}, function(res, status){
                        
                        alert('Schedule Added Successfully');
                        window.location.href = '#body';
                        window.location.href = '/admin/schedule/edit/' + res;
                    },'json')
                    .fail(function(xhr) {
                        var html = '';
                        var res = xhr.responseJSON;
                        $(res).each(function(i, value){
                            html+= '<p>' + value + '</p>';
                        });
                        $('.error').html(html).show();
                        $('#btn-submit').html('Submit').removeAttr('disabled');
                        window.location.href = '#body';
                    },'json');;
                });
                
                $('#home_away').change(function(){
                    changeName();
                });
                
                $('#Team').change(function(){
                    changeName();
                });
            });
            
            
            function changeName()
            {
                var homeAway = $('#home_away').val();
                var awayTeam = $('#Team option:selected').text();
                if(awayTeam == '---Please select Opposite Team---')
                {
                    awayTeam = '';
                }
                if(homeAway == 'Home')
                {
                    $('#name').val(currentTeam + ' vs ' + awayTeam);
                }
                else
                {
                    $('#name').val(awayTeam + ' vs ' + currentTeam);
                }
            }
        </script>
<?php echo $__env->make('includes.admin.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>